Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(revision 81)
@@ -0,0 +1,620 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+using Oracle.ManagedDataAccess.Client;
+
+using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 協力業者登録申請データＤＢアクセス
+    /// </summary>
+    public class IOSubConstrRegist : OracleProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 協力業者登録申請データフィールド並び
+        /// </summary>
+        public enum TableColumn
+        {
+            PersonCode = 0,
+            CreateDate,
+            SeqNo,
+            DataMode,
+            SourceCode,
+            PetitionPeriod,
+            CorporateStatusName,
+            CorporateStatusPoint,
+            CompanyName,
+            CEOPositionName,
+            CEOName,
+            ContactPersonName,
+            ZipCode,
+            Address1,
+            Address2,
+            Address3,
+            CellPhoneNumber,
+            MailAddress,
+            PhoneNumber,
+            FaxNumber,
+            JapaneseSyllabary,
+            StartDate,
+            Note,
+            labourKind,
+            OrderDate,
+            OrderNo,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOSubConstrRegist()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region 協力業者登録申請データ検索文字列作成
+        /// <summary>
+        /// 協力業者登録申請データ検索文字列作成
+        /// </summary>
+        /// <param name="AddSQLString">検索条件SQL文字列</param>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        private string CreateSelectSQL()
+        {
+            string strcmd = "SELECT";
+
+            strcmd += "  PersonCode";
+            strcmd += ", CreateDate";
+            strcmd += ", SeqNo";
+            strcmd += ", DataMode";
+            strcmd += ", SourceCode";
+            strcmd += ", PetitionPeriod";
+
+            strcmd += ", CorporateStatusName";
+            strcmd += ", CorporateStatusPoint";
+            strcmd += ", CompanyName";
+            strcmd += ", CEOPositionName";
+            strcmd += ", CEOName";
+            strcmd += ", ContactPersonName";
+            strcmd += ", ZipCode";
+            strcmd += ", Address1";
+            strcmd += ", Address2";
+            strcmd += ", Address3";
+            strcmd += ", CellPhoneNumber";
+            strcmd += ", MailAddress";
+            strcmd += ", PhoneNumber";
+            strcmd += ", FaxNumber";
+            strcmd += ", JapaneseSyllabary";
+            strcmd += ", TO_CHAR(StartDate, 'YYYY/MM/DD')";
+            strcmd += ", Note";
+            strcmd += ", labourKind";
+            strcmd += " ,TO_CHAR(OrderDate, 'YYYY/MM/DD')";
+            strcmd += " ,OrderNo";
+
+            strcmd += " ,TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " ,TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
+            strcmd += " FROM SubConstrRegist";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 協力業者登録申請データ複数検索
+        /// <summary>
+        /// 協力業者登録申請データ複数検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<SubConstrRegist> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    SubConstrRegist work = new SubConstrRegist();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ1件検索
+        /// <summary>
+        /// 協力業者登録申請データ1件検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref SubConstrRegist data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ1件追加
+        /// <summary>
+        /// 協力業者登録申請データ1件追加
+        /// </summary>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(SubConstrRegist data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO SubConstrRegist";
+
+                strcmd += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(TableColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
+
+                strcmd += string.Format("  {0}", data.PersonCode);
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')" ,data.CreateDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.SeqNo);
+                strcmd += string.Format(", {0}", data.DataMode);
+                strcmd += string.Format(", {0}", data.SourceCode);
+                strcmd += string.Format(", {0}", data.PetitionPeriod);
+
+                strcmd += string.Format(", '{0}'", data.CorporateStatusName);
+                strcmd += string.Format(", {0}", data.CorporateStatusPoint);
+                strcmd += string.Format(", '{0}'", data.CompanyName);
+                strcmd += string.Format(", '{0}'", data.CEOPositionName);
+                strcmd += string.Format(", '{0}'", data.CEOName);
+                strcmd += string.Format(", '{0}'", data.ContactPersonName);
+                strcmd += string.Format(", '{0}'", data.ZipCode);
+                strcmd += string.Format(", '{0}'", data.Address1);
+                strcmd += string.Format(", '{0}'", data.Address2);
+                strcmd += string.Format(", '{0}'", data.Address3);
+                strcmd += string.Format(", '{0}'", data.CellPhoneNumber);
+                strcmd += string.Format(", '{0}'", data.MailAddress);
+                strcmd += string.Format(", '{0}'", data.PhoneNumber);
+                strcmd += string.Format(", '{0}'", data.FaxNumber);
+                strcmd += string.Format(", '{0}'", data.JapaneseSyllabary);
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.StartDate.ToShortDateString());
+                strcmd += string.Format(", '{0}'", data.Note);
+                strcmd += string.Format(",  {0} ", data.labourKind.ToString());
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(", {0}", data.OrderNo);
+
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ複数追加
+        /// <summary>
+        /// 協力業者登録申請データ複数追加
+        /// </summary>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<SubConstrRegist> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                foreach (SubConstrRegist work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ更新
+        /// <summary>
+        /// 協力業者登録申請データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, SubConstrRegist data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE SubConstrRegist";
+
+                strcmd += " SET";
+
+                strcmd += string.Format("  PersonCode = {0}", data.PersonCode);
+                strcmd += string.Format(", CreateDate = TO_DATE('{0}','YYYY/MM/DD')", data.CreateDate.ToShortDateString());
+                strcmd += string.Format(", SeqNo = {0}", data.SeqNo);
+                strcmd += string.Format(", DataMode = {0}", data.DataMode);
+                strcmd += string.Format(", SourceCode = {0}", data.SourceCode);
+                strcmd += string.Format(", PetitionPeriod = {0}", data.PetitionPeriod);
+
+                strcmd += string.Format(", CorporateStatusName = '{0}'", data.CorporateStatusName);
+                strcmd += string.Format(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
+                strcmd += string.Format(", CompanyName = '{0}'", data.CompanyName);
+                strcmd += string.Format(", CEOPositionName = '{0}'", data.CEOPositionName);
+                strcmd += string.Format(", CEOName = '{0}'", data.CEOName);
+                strcmd += string.Format(", ContactPersonName = '{0}'", data.ContactPersonName);
+                strcmd += string.Format(", ZipCode = '{0}'", data.ZipCode);
+                strcmd += string.Format(", Address1 = '{0}'", data.Address1);
+                strcmd += string.Format(", Address2 = '{0}'", data.Address2);
+                strcmd += string.Format(", Address3 = '{0}'", data.Address3);
+                strcmd += string.Format(", CellPhoneNumber = '{0}'", data.CellPhoneNumber);
+                strcmd += string.Format(", MailAddress = '{0}'", data.MailAddress);
+                strcmd += string.Format(", PhoneNumber = '{0}'", data.PhoneNumber);
+                strcmd += string.Format(", FaxNumber = '{0}'", data.FaxNumber);
+                strcmd += string.Format(", JapaneseSyllabary = '{0}'", data.JapaneseSyllabary);
+                strcmd += string.Format(", StartDate = TO_DATE('{0}','YYYY/MM/DD')", data.StartDate.ToShortDateString());
+                strcmd += string.Format(", Note = '{0}'", data.Note);
+                strcmd += string.Format(", labourKind = {0}", data.labourKind);
+                strcmd += string.Format(", OrderDate = TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());
+                strcmd += string.Format(", OrderNo = {0}", data.OrderNo);
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 協力業者登録申請データ削除
+        /// <summary>
+        /// 協力業者登録申請データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">協力業者登録申請データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM SubConstrRegist", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, DateTime CreateDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE SubConstrRegist";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.PersonCode:
+                        strcmd += string.Format("  PersonCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CreateDate:
+                        strcmd += string.Format(" CreateDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.SeqNo:
+                        strcmd += string.Format(", SeqNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.DataMode:
+                        strcmd += string.Format(", DataMode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SourceCode:
+                        strcmd += string.Format(", SourceCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PetitionPeriod:
+                        strcmd += string.Format(", PetitionPeriod = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CorporateStatusName:
+                        strcmd += string.Format(" CorporateStatusName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CorporateStatusPoint:
+                        strcmd += string.Format(" CorporateStatusPoint = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.CompanyName:
+                        strcmd += string.Format(" CompanyName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CEOPositionName:
+                        strcmd += string.Format(" CEOPositionName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CEOName:
+                        strcmd += string.Format(" CEOName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.ContactPersonName:
+                        strcmd += string.Format(" ContactPersonName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.ZipCode:
+                        strcmd += string.Format(" ZipCode = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Address1:
+                        strcmd += string.Format(" Address1 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Address2:
+                        strcmd += string.Format(" Address2 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.Address3:
+                        strcmd += string.Format(" Address3 = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CellPhoneNumber:
+                        strcmd += string.Format(" CellPhoneNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.MailAddress:
+                        strcmd += string.Format(" MailAddress = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.PhoneNumber:
+                        strcmd += string.Format(" PhoneNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.FaxNumber:
+                        strcmd += string.Format(" FaxNumber = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.JapaneseSyllabary:
+                        strcmd += string.Format(" JapaneseSyllabary = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.StartDate:
+                        strcmd += string.Format(" StartDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.Note:
+                        strcmd += string.Format(" Note = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.labourKind:
+                        strcmd += string.Format(" labourKind = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.OrderDate:
+                        strcmd += string.Format(" OrderDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.OrderNo:
+                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += CreatePrimarykeyString(PersonCode, CreateDate, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref SubConstrRegist wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)TableColumn.PersonCode].ToString());
+                wrk.CreateDate = DateTime.Parse(objwrk[(int)TableColumn.CreateDate].ToString());
+                wrk.SeqNo = int.Parse(objwrk[(int)TableColumn.SeqNo].ToString());
+                wrk.DataMode = int.Parse(objwrk[(int)TableColumn.DataMode].ToString());
+                wrk.SourceCode = int.Parse(objwrk[(int)TableColumn.SourceCode].ToString());
+                wrk.PetitionPeriod = int.Parse(objwrk[(int)TableColumn.PetitionPeriod].ToString());
+                wrk.CorporateStatusName = objwrk[(int)TableColumn.CorporateStatusName].ToString();
+                wrk.CorporateStatusPoint = int.Parse(objwrk[(int)TableColumn.CorporateStatusPoint].ToString());
+                wrk.CompanyName = objwrk[(int)TableColumn.CompanyName].ToString();
+                wrk.CEOPositionName = objwrk[(int)TableColumn.CEOPositionName].ToString();
+                wrk.CEOName = objwrk[(int)TableColumn.CEOName].ToString();
+                wrk.ContactPersonName = objwrk[(int)TableColumn.ContactPersonName].ToString();
+                wrk.ZipCode = objwrk[(int)TableColumn.ZipCode].ToString();
+                wrk.Address1 = objwrk[(int)TableColumn.Address1].ToString();
+                wrk.Address2 = objwrk[(int)TableColumn.Address2].ToString();
+                wrk.Address3 = objwrk[(int)TableColumn.Address3].ToString();
+                wrk.CellPhoneNumber = objwrk[(int)TableColumn.CellPhoneNumber].ToString();
+                wrk.MailAddress = objwrk[(int)TableColumn.MailAddress].ToString();
+                wrk.PhoneNumber = objwrk[(int)TableColumn.PhoneNumber].ToString();
+                wrk.FaxNumber = objwrk[(int)TableColumn.FaxNumber].ToString();
+                wrk.JapaneseSyllabary = objwrk[(int)TableColumn.JapaneseSyllabary].ToString();
+                wrk.StartDate = DateTime.Parse(objwrk[(int)TableColumn.StartDate].ToString());
+                wrk.Note = objwrk[(int)TableColumn.Note].ToString();
+                wrk.labourKind = int.Parse(objwrk[(int)TableColumn.labourKind].ToString());
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)TableColumn.OrderDate].ToString());
+                wrk.OrderNo = int.Parse(objwrk[(int)TableColumn.OrderNo].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 申請連番の最大値を取得する
+        /// <summary>
+        /// 申請連番の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxSeqNoCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT NVL(MAX(SeqNo), 0) FROM SubConstrRegist" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+
+            return iRet;
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="ItemCode">大工種キー</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime CaretaDate, int SeqNo = 0, string Alias = "")
+        {
+            string strWork = "";
+            try
+            {
+                string strAlias = string.Empty;
+                if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
+                strWork = string.Format(" WHERE {0}PersonCode = {1}", strAlias, PersonCode);
+                if (CaretaDate != DateTime.MinValue)
+                    strWork += string.Format(" AND {0}CreateDate = TO_DATE('{1}','YYYY/MM/DD')", strAlias, CaretaDate.ToShortDateString());
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND {0}SeqNo = {1}", strAlias, SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+    }
+}
